Loading...
Searching...
No Matches
osmium::builder::ChangesetDiscussionBuilder Class Reference

`#include <osm_object_builder.hpp>`

Inheritance diagram for osmium::builder::ChangesetDiscussionBuilder:
[legend]
Collaboration diagram for osmium::builder::ChangesetDiscussionBuilder:
[legend]

## Public Member Functions

| ChangesetDiscussionBuilder (osmium::memory::Buffer &buffer, Builder *parent=nullptr)
| ChangesetDiscussionBuilder (Builder &parent)
| ChangesetDiscussionBuilder (const ChangesetDiscussionBuilder &)=delete
ChangesetDiscussionBuilder & | operator= (const ChangesetDiscussionBuilder &)=delete
| ChangesetDiscussionBuilder (ChangesetDiscussionBuilder &&)=delete
ChangesetDiscussionBuilder & | operator= (ChangesetDiscussionBuilder &&)=delete
| ~ChangesetDiscussionBuilder ()
void | add_comment (osmium::Timestamp date, osmium::user_id_type uid, const char *user)
void | add_comment_text (const char *text)
void | add_comment_text (const std::string &text)
Public Member Functions inherited from osmium::builder::Builder
| Builder (const Builder &)=delete
| Builder (Builder &&)=delete
Builder & | operator= (const Builder &)=delete
Builder & | operator= (Builder &&)=delete
osmium::memory::Buffer & | buffer () noexcept
| Return the buffer this builder is using.
void | add_item (const osmium::memory::Item &item)

## Private Member Functions

void | add_user (osmium::ChangesetComment &comment, const char *user, const std::size_t length)
void | add_text (osmium::ChangesetComment &comment, const char *text, const std::size_t length)

## Private Attributes

osmium::ChangesetComment * | m_comment = nullptr

## Additional Inherited Members

Protected Member Functions inherited from osmium::builder::Builder
| Builder (osmium::memory::Buffer &buffer, Builder *parent, osmium::memory::item_size_type size)
| ~Builder () noexcept
unsigned char * | item_pos () const noexcept
osmium::memory::Item & | item () const noexcept
unsigned char * | reserve_space (std::size_t size)
void | add_padding (bool self=false)
void | add_size (osmium::memory::item_size_type size)
uint32_t | size () const noexcept
template<typename T >
T * | reserve_space_for ()
osmium::memory::item_size_type | append (const char *data, const osmium::memory::item_size_type length)
osmium::memory::item_size_type | append_with_zero (const char *data, const osmium::memory::item_size_type length)
osmium::memory::item_size_type | append (const char *str)

## Constructor & Destructor Documentation

## ChangesetDiscussionBuilder() [1/4]

osmium::builder::ChangesetDiscussionBuilder::ChangesetDiscussionBuilder | ( | osmium::memory::Buffer & | buffer,
|  | Builder * | parent = `nullptr`
| ) |  |

inline explicit

## ChangesetDiscussionBuilder() [2/4]

osmium::builder::ChangesetDiscussionBuilder::ChangesetDiscussionBuilder | ( | Builder & | parent | ) |

inline explicit

## ChangesetDiscussionBuilder() [3/4]

osmium::builder::ChangesetDiscussionBuilder::ChangesetDiscussionBuilder | ( | const ChangesetDiscussionBuilder & |  | ) |

delete

## ChangesetDiscussionBuilder() [4/4]

osmium::builder::ChangesetDiscussionBuilder::ChangesetDiscussionBuilder | ( | ChangesetDiscussionBuilder && |  | ) |

delete

## ~ChangesetDiscussionBuilder()

osmium::builder::ChangesetDiscussionBuilder::~ChangesetDiscussionBuilder | ( |  | ) |

inline

## Member Function Documentation

## add_comment()

void osmium::builder::ChangesetDiscussionBuilder::add_comment | ( | osmium::Timestamp | date,
|  | osmium::user_id_type | uid,
|  | const char * | user
| ) |  |

inline

## add_comment_text() [1/2]

void osmium::builder::ChangesetDiscussionBuilder::add_comment_text | ( | const char * | text | ) |

inline

## add_comment_text() [2/2]

void osmium::builder::ChangesetDiscussionBuilder::add_comment_text | ( | const std::string & | text | ) |

inline

## add_text()

void osmium::builder::ChangesetDiscussionBuilder::add_text | ( | osmium::ChangesetComment & | comment,
|  | const char * | text,
|  | const std::size_t | length
| ) |  |

inline private

## add_user()

void osmium::builder::ChangesetDiscussionBuilder::add_user | ( | osmium::ChangesetComment & | comment,
|  | const char * | user,
|  | const std::size_t | length
| ) |  |

inline private

## operator=() [1/2]

ChangesetDiscussionBuilder & osmium::builder::ChangesetDiscussionBuilder::operator= | ( | ChangesetDiscussionBuilder && |  | ) |

delete

## operator=() [2/2]

ChangesetDiscussionBuilder & osmium::builder::ChangesetDiscussionBuilder::operator= | ( | const ChangesetDiscussionBuilder & |  | ) |

delete

## Member Data Documentation

## m_comment

osmium::ChangesetComment* osmium::builder::ChangesetDiscussionBuilder::m_comment = nullptr

private

The documentation for this class was generated from the following file:

- include/osmium/builder/osm_object_builder.hpp